'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var IconOnPremise = function (_React$Component) {
  _inherits(IconOnPremise, _React$Component);

  function IconOnPremise() {
    _classCallCheck(this, IconOnPremise);

    return _possibleConstructorReturn(this, (IconOnPremise.__proto__ || Object.getPrototypeOf(IconOnPremise)).apply(this, arguments));
  }

  _createClass(IconOnPremise, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          size = _props.size,
          children = _props.children,
          otherProps = _objectWithoutProperties(_props, ['size', 'children']);

      return _react2.default.createElement(
        'svg',
        Object.assign({
          viewBox: '0 0 24 24',
          preserveAspectRatio: 'xMidYMid meet',
          fill: 'currentColor',
          width: size,
          height: size
        }, otherProps),
        _react2.default.createElement('path', { d: 'M21 17v-6H3v6h8v2H3v2h18v-2h-8v-2h8zm-2.8-3.8c.4 0 .8.3.8.8s-.3.8-.8.8-.8-.3-.8-.8.4-.8.8-.8zM5.8 14.8c-.5 0-.8-.4-.8-.8s.3-.8.8-.8h9c.4 0 .8.3.8.8s-.3.8-.8.8h-9zM3 3v6h18V3H3zm11.8 3.8h-9c-.5 0-.8-.4-.8-.8s.3-.8.8-.8h9c.4 0 .8.3.8.8s-.4.8-.8.8zm3.4 0c-.4 0-.8-.3-.8-.8s.3-.8.8-.8.8.4.8.8-.3.8-.8.8z' }),
        children
      );
    }
  }]);

  return IconOnPremise;
}(_react2.default.Component);

IconOnPremise.displayName = 'IconOnPremise';
IconOnPremise.propTypes = {
  size: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]),
  children: _propTypes2.default.node
};
IconOnPremise.defaultProps = {
  size: '1em'
};
exports.default = IconOnPremise;
module.exports = exports['default'];