'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var IconUnlimited = function (_React$Component) {
  _inherits(IconUnlimited, _React$Component);

  function IconUnlimited() {
    _classCallCheck(this, IconUnlimited);

    return _possibleConstructorReturn(this, (IconUnlimited.__proto__ || Object.getPrototypeOf(IconUnlimited)).apply(this, arguments));
  }

  _createClass(IconUnlimited, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          size = _props.size,
          children = _props.children,
          otherProps = _objectWithoutProperties(_props, ['size', 'children']);

      return _react2.default.createElement(
        'svg',
        Object.assign({
          viewBox: '0 0 24 24',
          preserveAspectRatio: 'xMidYMid meet',
          fill: 'currentColor',
          width: size,
          height: size
        }, otherProps),
        _react2.default.createElement('path', { d: 'M18.6 6.6c-1.4 0-2.8.6-3.8 1.5L12 10.7 10.5 12l-2.7 2.4c-.6.6-1.5 1-2.4 1C3.5 15.4 2 13.9 2 12s1.5-3.4 3.4-3.4c.9 0 1.8.4 2.4 1l1.1 1 1.5-1.3-1.2-1.1c-1-1-2.4-1.6-3.8-1.6C2.4 6.6 0 9 0 12s2.4 5.4 5.4 5.4c1.4 0 2.8-.6 3.8-1.5l2.8-2.5 1.5-1.4 2.7-2.4c.6-.6 1.5-1 2.4-1 1.9 0 3.4 1.5 3.4 3.4s-1.5 3.4-3.4 3.4c-.9 0-1.8-.4-2.4-1l-1.1-1-1.5 1.3 1.3 1.1c1 1 2.4 1.6 3.8 1.6 3 0 5.4-2.4 5.4-5.4s-2.5-5.4-5.5-5.4z' }),
        children
      );
    }
  }]);

  return IconUnlimited;
}(_react2.default.Component);

IconUnlimited.displayName = 'IconUnlimited';
IconUnlimited.propTypes = {
  size: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]),
  children: _propTypes2.default.node
};
IconUnlimited.defaultProps = {
  size: '1em'
};
exports.default = IconUnlimited;
module.exports = exports['default'];