'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var IconDataUsage = function (_React$Component) {
  _inherits(IconDataUsage, _React$Component);

  function IconDataUsage() {
    _classCallCheck(this, IconDataUsage);

    return _possibleConstructorReturn(this, (IconDataUsage.__proto__ || Object.getPrototypeOf(IconDataUsage)).apply(this, arguments));
  }

  _createClass(IconDataUsage, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          size = _props.size,
          children = _props.children,
          otherProps = _objectWithoutProperties(_props, ['size', 'children']);

      return _react2.default.createElement(
        'svg',
        Object.assign({
          viewBox: '0 0 24 24',
          preserveAspectRatio: 'xMidYMid meet',
          fill: 'currentColor',
          width: size,
          height: size
        }, otherProps),
        _react2.default.createElement('path', { d: 'M13 2v3c3.4.5 6 3.4 6 6.9 0 .9-.2 1.8-.5 2.5l2.6 1.5c.6-1.2.9-2.6.9-4.1 0-5-4-9.2-9-9.8zm-1 17c-3.9 0-7-3.1-7-7 0-3.5 2.6-6.4 6-6.9V2c-5.1.5-9 4.8-9 10 0 5.5 4.5 10 10 10 3.3 0 6.2-1.6 8.1-4.1l-2.6-1.5C16.2 18 14.2 19 12 19z' }),
        children
      );
    }
  }]);

  return IconDataUsage;
}(_react2.default.Component);

IconDataUsage.displayName = 'IconDataUsage';
IconDataUsage.propTypes = {
  size: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]),
  children: _propTypes2.default.node
};
IconDataUsage.defaultProps = {
  size: '1em'
};
exports.default = IconDataUsage;
module.exports = exports['default'];